Summary: library for accessing the termcap database
Name: libtermcap
Version: 2.0.8
Release: 10
Source: ftp://sunsite.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.gz
Url: ftp://sunsite.unc.edu/pub/Linux/GCC/
Copyright: LGPL
Group: Libraries
Patch: termcap-2.0.8-shared.patch
Patch1: termcap-2.0.8-setuid.patch
Patch2: termcap-2.0.8-instnoroot.patch
Requires: /etc/termcap
BuildRoot: /var/tmp/libtermcap-root
Summary(de): Library zum Zugriff auf die termcap-Datenbank
Summary(fr): Librairie pour accder  la base de donnes termcap.
Summary(tr): termcap veri tabanna eriim kitapl

%description
This is the library for accessing the termcap database.  It is necessary
to be installed for a system to be able to do much of anything.  

%package devel
Summary: development libraries and header files for termcap library
Group: Libraries
Requires: libtermcap
Summary(de): Entwicklungs-Libraries und Header-Dateien fr die termcap-Library
Summary(fr): Librairies de dveloppement et fichiers d'en-tte pour la librairie termcap.
Summary(tr): termcap kitapln kullanan programlar gelitirmek iin gerekli dosyalar

%description devel
This is the package containing the development libaries and header
files for writing programs that access the termcap database.  It may
be necessary to build some other packages as well.

%description -l de devel
Dies ist ein Paket mit Entwicklungs-Libraries und Header-Dateien
zum Schreiben von Programmen, die auf die termcap-Datenbank
zugreifen. Eventuell mssen noch ein paar andere Pakete gebaut
werden.

%description -l de
Dies ist die Library zum Zugriff auf die termcap-Datenbank. Sie mu
installiert werden, damit das System funktionsfhig ist.

%description -l fr devel
Ceci est le package contenant les bibliothques de dveloppement et
les fichiers d'en-tte pour crire des programmes accdant  la base 
de donnes termcap. Cela peut tre ncessaire pour construire certains
autres packages.

%description -l fr
Bibliothque pour accder  la base de donnes termcap. Ncessaire pour
qu'un systme puisse faire quelque chose.

%description -l tr devel
Bu paket, termcap veri tabann kullanan programlar gelitirmek iin gereken
balk dosyalar ve kitaplklar ierir.

%description -l tr
Bu paket termcap veri tabanna ulam kitapln ierir. Sistem zerinde
pek ok eyi yapabilmek iin kurulu olmas gerekmektedir.

%prep
%setup -q -n termcap-2.0.8
%patch -p1
%patch1 -p1
%patch2 -p1 -b .nochown

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/lib,usr/info,usr/include,etc,lib}

export PATH=/sbin:$PATH
make prefix=$RPM_BUILD_ROOT/usr install

install -m644 termcap.src $RPM_BUILD_ROOT/etc/termcap
cp termcap.info* $RPM_BUILD_ROOT/usr/info

( cd $RPM_BUILD_ROOT
  rm -f ./etc/termcap
  mv ./usr/lib/libtermcap.so* ./lib
  ln -sf libtermcap.so.2.0.8 ./lib/libtermcap.so
  ln -sf ../../lib/libtermcap.so.2.0.8 ./usr/lib/libtermcap.so
  gzip -9nf ./usr/info/termcap.info*
  chmod 644 ./usr/info/termcap.info*
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%trigger -- info >= 3.12
/sbin/install-info \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=/usr/info /usr/info/termcap.info.gz

%postun
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=/usr/info /usr/info/termcap.info.gz
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/info/termcap.info*
/lib/libtermcap.so.2.0.8

%files devel
%defattr(-,root,root)
/usr/lib/libtermcap.a
/usr/lib/libtermcap.so
/usr/include/termcap.h

%changelog

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- run install-info from a %trigger so we don't have to make it a prereq; as
  termcap is used by bash, the install ordering issues are hairy
- commented out the chown stuff from 'make install' so you don't have to
  be root to build this
- don't run ldconfig if prefix= is used during 'make install'

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- But assume system termcap is sane. Also handle setfsuid return right.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- TERMCAP environment hole for setuid apps squished.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
